id: wordpress-webp-express

info:
  name: WebP Express Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/webp-express/
  metadata:
    plugin_namespace: webp-express
    wpscan: https://wpscan.com/plugin/webp-express
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/webp-express/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/webp-express.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 490a004630440220173c1b0cbd6ca1fc938747e9a0f82da5cb92dd4625ee03cf05abffdf8a4c7779022069324186a734766864bce09a10fa06d1b6dc0850deedb837376b323e232c1035:922c64590222798bb761d5b6d8e72950